=== debian/control ===
Source: ros-dashing-py-trees-ros
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-dashing-py-trees, ros-dashing-py-trees-ros-interfaces, ros-dashing-rcl-interfaces, ros-dashing-rclpy, ros-dashing-ros2topic, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: https://py-trees-ros.readthedocs.io/en/release-1.2.x/
Standards-Version: 3.9.2

Package: ros-dashing-py-trees-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-py-trees, ros-dashing-py-trees-ros-interfaces, ros-dashing-rcl-interfaces, ros-dashing-rclpy, ros-dashing-ros2topic, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.
